# Payment information

| API endpoint (GET)                                 |
| -------------------------------------------------- |
| <https://api.maibmerchants.md/v1/pay-info/{payId}> |

{% hint style="danger" %}
Ensure that the *Content-Type* header and *body* are excluded from requests to this endpoint.
{% endhint %}

### **Request parameter (URL path)**

<table><thead><tr><th width="132">Parameter</th><th width="119">Required</th><th width="129">Type</th><th>Description</th></tr></thead><tbody><tr><td>payId</td><td>YES</td><td>String(UUID)</td><td>Transaction identifier</td></tr></tbody></table>

**Request example (CURL)**

```sh
curl --location --request GET 'https://api.maibmerchants.md/v1/pay-info/f16a9006-128a-46bc-8e2a-77a6ee99df75' \
--header 'Authorization: Bearer access_token' \
```

### Response parameters

<table><thead><tr><th width="204.33333333333331">Parameter</th><th width="185">Type</th><th>Description</th></tr></thead><tbody><tr><td>result</td><td>Object</td><td>Object containing transaction data.</td></tr><tr><td><ul><li>payId</li></ul></td><td>String</td><td>Transaction identifier assigned by <strong>maib ecomm</strong><em><strong>.</strong></em></td></tr><tr><td><ul><li>orderId</li></ul></td><td>String</td><td>Order ID generated by Merchant website/app.</td></tr><tr><td><ul><li>billerId</li></ul></td><td>String</td><td>Card identifier registered in <strong>maib ecomm</strong> system (for recurring/one-click payments).</td></tr><tr><td><ul><li>billerExpiry</li></ul></td><td>String</td><td><p>The date (month/year) until which the card data will be saved in <strong>maib ecomm</strong> system (for recurring/one-click payments).</p><p>Format: <strong>MMYY</strong> (e.g: 1229 - december 2029). </p></td></tr><tr><td><ul><li>status</li></ul></td><td>String</td><td><a href="/pages/MNTSWn43bFYBkPI948Sp#transaction-status">Transaction status</a></td></tr><tr><td><ul><li>statusCode</li></ul></td><td>String</td><td>Transaction status code</td></tr><tr><td><ul><li>statusMessage</li></ul></td><td>String</td><td>Transaction status information message</td></tr><tr><td><ul><li>threeDs</li></ul></td><td>String</td><td><a href="/pages/MNTSWn43bFYBkPI948Sp#3d-secure-authentication">3-D Secure authentication result</a></td></tr><tr><td><ul><li>rrn</li></ul></td><td><p></p><p>String<br></p></td><td>RRN - Transaction ID generated by <strong>maib</strong>.</td></tr><tr><td><ul><li>approval</li></ul></td><td>String</td><td>Approval Code - The transaction approval code generated by the card issuing bank.</td></tr><tr><td><ul><li>cardNumber</li></ul></td><td>String</td><td>Masked number card.</td></tr><tr><td><ul><li>amount</li></ul></td><td>Number(decimal)</td><td>Transaction amount. Format: <strong>X.XX</strong></td></tr><tr><td><ul><li>confirmAmount</li></ul></td><td>Number(decimal)</td><td>Amount debited from Customer's account in format <strong>X.XX</strong> (for two-step payments).</td></tr><tr><td><ul><li>refundAmount</li></ul></td><td>Number(decimal)</td><td>Amount refunded to Buyer in formatt <strong>X.XX</strong> (for refunded payments).</td></tr><tr><td><ul><li>currency</li></ul></td><td>String</td><td>Transaction currency (MDL/EUR/USD).</td></tr><tr><td><ul><li>description</li></ul></td><td>String</td><td>Payment description.</td></tr><tr><td><ul><li>clientIp</li></ul></td><td>String</td><td>Customer IP</td></tr><tr><td><ul><li>clientName</li></ul></td><td>String</td><td>Customer Name Surname</td></tr><tr><td><ul><li>email</li></ul></td><td>String</td><td>Customer email</td></tr><tr><td><ul><li>phone</li></ul></td><td>String</td><td>Customer phone</td></tr><tr><td><ul><li>delivery</li></ul></td><td>String</td><td>Shipping cost</td></tr><tr><td><ul><li>items</li></ul></td><td>Array</td><td>The products or services ordered from the website/app</td></tr><tr><td>      <em>- id</em></td><td>String</td><td>Product ID</td></tr><tr><td>      <em>- name</em></td><td>String</td><td>Product name</td></tr><tr><td>      <em>- price</em></td><td>Number(decimal)</td><td>Product price</td></tr><tr><td>      <em>- quantity</em> </td><td>Integer</td><td>Product quantity</td></tr><tr><td>ok</td><td>Boolean</td><td><p>Request/transaction processing status.</p><p><em>true</em> - no errors</p><p><em>false -</em> an error occurred (error details will be in <em>errors)</em></p></td></tr><tr><td>errors</td><td>Array</td><td>Request/transaction processing errors. <a href="/pages/DCjblsWjWxuRYokUtopZ"><mark style="color:blue;">Errors table</mark></a></td></tr><tr><td><ul><li>errorCode</li></ul></td><td>String</td><td>Error code</td></tr><tr><td><ul><li>errorMessage</li></ul></td><td>String</td><td>Error description</td></tr><tr><td><ul><li>errorArgs</li></ul></td><td>Object</td><td>Object contains parameters with error details</td></tr></tbody></table>

**Example**

{% tabs %}
{% tab title="Successful" %}

```json
{
"result": {
"payId": "f16a9006-128a-46bc-8e2a-77a6ee99df75",
"orderId": "123",
"billerId": "t78i8006-458a-46bc-9e0a-89a6ee11df68",
"billerExpiry": "1225",
"status": "OK",
"statusCode": "000",
"statusMessage": "Approved",
"threeDs": "AUTHENTICATED",
"rrn": "331711380059",
"approval": "327593",
"cardNumber": "510218******1124",
"amount": 10.25,
"confirmAmount": 10.25,
"refundAmount": 10.25,
"currency": "EUR",
"description": "Description",
"clientIp": "127.0.0.1",
"clientName": "Name Surname",
"email": "customer@gmail.com",
"phone": "069123456",
"delivery": 1.25,
"items": [
{
"id": "10",
"name": "Product 1",
"price": 2.50,
"quantity": 2
},
{
"id": "11",
"name": "Product 2",
"price": 4,
"quantity": 1
}
],
},
"ok": true
}
```

{% endtab %}

{% tab title="Error" %}

```json
{
    "errors": [
        {
            "errorCode": "13002",
            "errorMessage": "Payment ID 'f16a9006-128a-46bc-8e2a-77a6ee99df75' not found",
            "errorArgs": {
                "paymentId": "f16a9006-128a-46bc-8e2a-77a6ee99df75"
            }
        }
    ],
    "ok": false
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maibmerchants.md/e-commerce/payment-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
